November 21, 2017
Archives  News  Blizzard to Require Mac OS X 10.3.9  


Tuesday, April 10, 2007
 
Blizzard to Require Mac OS X 10.3.9
6:00 AM | Michael Phillips | 6 comments

In a recent forum post, Blizzard Entertainment announced that they will soon be raising the minimum Mac OS requirement across their entire product line. In order to play online, users will be required to be running Mac OS X 10.3.9 or later.

Here's a clip from the forum post:

Over the past year, we've provided the following products and updates for the Mac versions of our games:

StarCraft 1.14

Universal Application Updates for Warcraft III and World of Warcraft, allowing them to run natively on both Intel and PowerPC Macs

Multiple content and feature patches for World of Warcraft, including a major performance update for Intel Macs

The Burning Crusade expansion for World of Warcraft

Moving forward, we plan on adopting some of the technology referenced above in future updates to:

StarCraft and Brood War

Diablo II and Lord of Destruction

Warcraft III and The Frozen Throne

This may include the installer, updater, launcher, and downloader applications that are now a key part of World of Warcraft. A common thread among these applications is that they are built on Apple's latest development tools and are fully OS-X-native applications.

This leads to a change in minimum system requirements for online play; we will soon raise the minimum supported Mac OS version to OS X 10.3.9 for all currently supported games. As a result, when the next major patch is released for each of these titles, Mac OS X 10.3.9 (or higher) will be required in order to apply the patch and play online. Also, as we produce new discs for sale at retail, they will also adopt the new installer technology and will only install the native OS X editions of these games. After the transition, Mac players who remain on System 7, Mac OS 8 or 9, or Mac OS X 10.0-10.3.8 will be able to continue playing our Battle.net-based games on their Macs in single-player mode and on a LAN with other players running the same version of the game.

For the rest of the post, just hit the link below.

Blizzard to Require Mac OS X 10.3.9
Blizzard Entertainment


Other Mac Games News for Tuesday, April 10, 2007

IMG Posts Interview with Jason Compton9:19 PM
A Look At Free Quake3 Engine Based Games6:00 AM
Age Of Empires III: The WarChiefs Announced6:00 AM
Apple's iPod: 100 Million Units Sold6:00 AM
• Blizzard to Require Mac OS X 10.3.96:00 AM
John Romero Predicts Demise Of Consoles6:00 AM
Pirates Of The Caribbean Online Previewed6:00 AM
 
View all of the Mac games news for Tuesday, April 10, 2007 on one page

Mac Games News for Monday, April 9, 2007

Europa Universalis III Examined6:00 AM
GameTap For Macs Coming Soon?6:00 AM
GL Golf Updated To 2.06:00 AM
Intel Macs Face Off6:00 AM
Ms. Pac-Man For iPod Reviewed6:00 AM
Using World Of Warcraft To Teach English6:00 AM
 
View all of the Mac games news for Monday, April 9, 2007 on one page


Recent Mac Games News

Saturday, April 7, 2007
Friday, April 6, 2007
Thursday, April 5, 2007
Wednesday, April 4, 2007
Tuesday, April 3, 2007


Search for other Mac games news stories or browse our Mac Games News Archive.



Archives  News  Blizzard to Require Mac OS X 10.3.9